package cn.keking.web.dto.req;

import cn.keking.web.vo.ContractProductDetailVo;
import lombok.Data;
import org.springframework.validation.annotation.Validated;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;

/**
 * @author Hikaru
 */
@Data
@Validated
public class GenContractReq {

    /**
     * 合同编号
     */
    private String conCode;

    /**
     * 签订日期
     */
    private String appDate;

    /**
     * 采购方
     */
    private String clientName ;

    /**
     * 注册地址
     */
    private String registeredAddress;

    /**
     *  统一社会信用代码
     */
    private String taxNumber;

    /**
     * 付款方式
     */
    private String paymentMethod;

    /**
     * 合同生效后多少天付款
     */
    private String paymentDayOne ;

    /**
     * 收到货物清本合同款
     */
    private String paymentDayTow ;

    /**
     * 增值税
     */
    private String invoiceType;

    /**
     * 多少日内质量验收
     */
    private String qualityDay;

    /**
     * 责任违约的多少
     */
    private String responsibility;

    /**
     * 合同份数
     */
    private String copies ;

    /**
     * 交互时间方式
     */
    private String deliveryTime;

    /**
     * 全额预付款后多少日发货
     */
    private String deliveryTimeOne;

    /**
     * 书面发货通知工作日发货
     */
    private String deliveryTimeTow;

    /**
     * 交货地点
     */
    private String address;

    /**
     * 货物接收人及联络方式为
     */
    private String acceptPhone;
    /**
     * 产品明细
     */
    @NotNull
    private ContractProductDetailVo contractProductDetailVo;
}
